Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#291 closed defect (fixed)

must not free a node not obtained by evalformake

Reported by: strauman Owned by: Jennifer Averett
Priority: normal Milestone: 2
Component: fs Version: unknown
Severity: major Keywords:
Cc: bugs@… Blocked By:
Blocking:

Description

If I understand the semantics of 'node_access' right,
only nodes returned by a successful call to evaluate_path
or evalformake must be released by freenode.

Release:
ss-20020301

Attachments (1)

mknod.c.patch (343 bytes) - added by strauman on 12/03/06 at 13:31:12.
mknod.c.patch

Download all attachments as: .zip

Change History (2)

comment:1 Changed on 10/23/02 at 17:13:17 by Jennifer Averett

Status: assignedclosed

State-Changed-From-To: open->closed
State-Changed-Why: patch applied.

Changed on 12/03/06 at 13:31:12 by strauman

Attachment: mknod.c.patch added

mknod.c.patch

Note: See TracTickets for help on using tickets.